New customers: 5% off orders over $300 | Worldwide shipping from Shenzhen · 30,000+ technicians served Track Your Order FAQ
2UUL · SKU RF-RFC004

2UUL SC22 SpareScrew12 Screws for iPhone Repairs (1200Pcs/Pack)

No reviews yet
$7.49 $8.49 -12% · You save $1.00
● In Stock
  • Precise Compartmentation: Each screw is individually compartmentalized for easy and quick access.
  • Efficient Repair: Helps improve repair efficiency and ensures smooth repair work.
  • High Quality: Specifically designed for Apple device repair, suitable for Apple iPhone screen replacement, battery replacement, disassembly, and other repair work.
Quantity
Min. Order: 10
Ask a Question
Brand2UUL
SKURF-RFC004
Compatible ModelUniversal / 通用
Voltage / Plug-
Power-
Temperature-
Warranty12 months
Min. Order10 pcs

Orders are dispatched within 48 hours from Shenzhen. Express shipping takes 5-9 business days, economy shipping 12-20 business days. Free express shipping on orders over $300.00.

Package Includes: 1 x main unit, 1 x power cable, 1 x English user manual, required accessories and fixtures. Retail boxes are available on request for bulk orders.

T/T bank transfer, PayPal, Wise, Western Union, Alipay and credit card. Bulk orders support 30% deposit with balance before shipment.

Related Products

2UUL DA79 Mini MicroTip Sharpener for Quickly Sharpening Repairing Tips of Tweezers and Precision Tools -18%
2UUL
2UUL DA79 Mini MicroTip Sharpener for Quickly Sharpening Repairing Tips of Tweezers and Precision Tools
No reviews yet · In Stock
$20.49 $24.99
CODE: RF-RFC003
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips -24%
WYLIE
WYLIE MORO-35 Grinding Tool for Polishing Blades/Tweezers/Iron Tips
No reviews yet · In Stock
$18.99 $24.99
CODE: RF-RFC005
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack) -18%
2UUL
2UUL SC12 SpareScrew12 Phillips Screws for Android Phone Repairs (1200Pcs/Pack)
No reviews yet · In Stock
$4.49 $5.49
CODE: RF-RFC006
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack) -33%
2UUL
2UUL Back Cover Sealing Adhesive for iP14-17 Series (5pcs/Pack)
No reviews yet · In Stock
$1.99 $2.99
CODE: RF-RFC007
2UUL Screen Sealing Adhesive for iP12-17 Series (5pcs/Pack) -33%
2UUL
2UUL Screen Sealing Adhesive for iP12-17 Series (5pcs/Pack)
No reviews yet · In Stock
$1.99 $2.99
CODE: RF-RFC008
2UUL SC13 IP Color Screw Charge Port Spare Screw Kit (360pcs/Box) -14%
2UUL
2UUL SC13 IP Color Screw Charge Port Spare Screw Kit (360pcs/Box)
No reviews yet · In Stock
$9.49 $10.99
CODE: RF-RFC009
MaAnt KM1 Electric Quick Grinder for Tweezers and Precision Tools -10%
MaAnt
MaAnt KM1 Electric Quick Grinder for Tweezers and Precision Tools
No reviews yet · In Stock
$13.49 $14.99
CODE: RF-RFC010
MaAnt Special Diamond Wire for LCD Separator 100M -25%
MaAnt
MaAnt Special Diamond Wire for LCD Separator 100M
No reviews yet · In Stock
$1.50 $2.00
CODE: RF-RFC012
Cellphone LCD Screen Separator Handy Tool -67%
Best
Cellphone LCD Screen Separator Handy Tool
No reviews yet · In Stock
$0.99 $3.00
CODE: RF-RFC013
Alloy Wire for Cellphone LCD Screen Separator Handy Tool -50%
Best
Alloy Wire for Cellphone LCD Screen Separator Handy Tool
No reviews yet · In Stock
$1.50 $3.00
CODE: RF-RFC014

Subscribe to our newsletter

Be the first to know about new arrivals and promotions.